diff --git a/package/Config.in b/package/Config.in
index 48ec61f..e971c25 100644
--- a/package/Config.in
+++ b/package/Config.in
@@ -266,6 +266,26 @@ endmenu
 
 menu "Libraries"
 
+menu "Audio/Sound"
+source "package/alsa-lib/Config.in"
+source "package/audiofile/Config.in"
+source "package/libao/Config.in"
+source "package/libcdaudio/Config.in"
+source "package/libcue/Config.in"
+source "package/libcuefile/Config.in"
+source "package/libid3tag/Config.in"
+source "package/libmad/Config.in"
+source "package/libmpd/Config.in"
+source "package/libreplaygain/Config.in"
+source "package/libsamplerate/Config.in"
+source "package/libsndfile/Config.in"
+source "package/libvorbis/Config.in"
+source "package/portaudio/Config.in"
+source "package/speex/Config.in"
+source "package/taglib/Config.in"
+source "package/tremor/Config.in"
+endmenu
+
 menu "Compression and decompression"
 source "package/libarchive/Config.in"
 source "package/lzo/Config.in"
diff --git a/package/multimedia/alsa-lib/Config.in b/package/alsa-lib/Config.in
similarity index 100%
rename from package/multimedia/alsa-lib/Config.in
rename to package/alsa-lib/Config.in
diff --git a/package/multimedia/alsa-lib/alsa-lib-avr32-bad-inline.patch b/package/alsa-lib/alsa-lib-avr32-bad-inline.patch
similarity index 100%
rename from package/multimedia/alsa-lib/alsa-lib-avr32-bad-inline.patch
rename to package/alsa-lib/alsa-lib-avr32-bad-inline.patch
diff --git a/package/multimedia/alsa-lib/alsa-lib.mk b/package/alsa-lib/alsa-lib.mk
similarity index 100%
rename from package/multimedia/alsa-lib/alsa-lib.mk
rename to package/alsa-lib/alsa-lib.mk
diff --git a/package/multimedia/audiofile/Config.in b/package/audiofile/Config.in
similarity index 100%
rename from package/multimedia/audiofile/Config.in
rename to package/audiofile/Config.in
diff --git a/package/multimedia/audiofile/audiofile.mk b/package/audiofile/audiofile.mk
similarity index 100%
rename from package/multimedia/audiofile/audiofile.mk
rename to package/audiofile/audiofile.mk
diff --git a/package/multimedia/libao/Config.in b/package/libao/Config.in
similarity index 100%
rename from package/multimedia/libao/Config.in
rename to package/libao/Config.in
diff --git a/package/multimedia/libao/libao.mk b/package/libao/libao.mk
similarity index 100%
rename from package/multimedia/libao/libao.mk
rename to package/libao/libao.mk
diff --git a/package/multimedia/libcdaudio/Config.in b/package/libcdaudio/Config.in
similarity index 100%
rename from package/multimedia/libcdaudio/Config.in
rename to package/libcdaudio/Config.in
diff --git a/package/multimedia/libcdaudio/libcdaudio.mk b/package/libcdaudio/libcdaudio.mk
similarity index 100%
rename from package/multimedia/libcdaudio/libcdaudio.mk
rename to package/libcdaudio/libcdaudio.mk
diff --git a/package/multimedia/libcue/Config.in b/package/libcue/Config.in
similarity index 100%
rename from package/multimedia/libcue/Config.in
rename to package/libcue/Config.in
diff --git a/package/multimedia/libcue/libcue-1.4.0-__unused-fix.patch b/package/libcue/libcue-1.4.0-__unused-fix.patch
similarity index 100%
rename from package/multimedia/libcue/libcue-1.4.0-__unused-fix.patch
rename to package/libcue/libcue-1.4.0-__unused-fix.patch
diff --git a/package/multimedia/libcue/libcue.mk b/package/libcue/libcue.mk
similarity index 100%
rename from package/multimedia/libcue/libcue.mk
rename to package/libcue/libcue.mk
diff --git a/package/multimedia/libcuefile/Config.in b/package/libcuefile/Config.in
similarity index 100%
rename from package/multimedia/libcuefile/Config.in
rename to package/libcuefile/Config.in
diff --git a/package/multimedia/libcuefile/libcuefile.mk b/package/libcuefile/libcuefile.mk
similarity index 100%
rename from package/multimedia/libcuefile/libcuefile.mk
rename to package/libcuefile/libcuefile.mk
diff --git a/package/multimedia/libid3tag/Config.in b/package/libid3tag/Config.in
similarity index 100%
rename from package/multimedia/libid3tag/Config.in
rename to package/libid3tag/Config.in
diff --git a/package/multimedia/libid3tag/libid3tag.mk b/package/libid3tag/libid3tag.mk
similarity index 100%
rename from package/multimedia/libid3tag/libid3tag.mk
rename to package/libid3tag/libid3tag.mk
diff --git a/package/multimedia/libmad/Config.in b/package/libmad/Config.in
similarity index 100%
rename from package/multimedia/libmad/Config.in
rename to package/libmad/Config.in
diff --git a/package/multimedia/libmad/libmad-0.15.1b-mips-h-constraint-removal.patch b/package/libmad/libmad-0.15.1b-mips-h-constraint-removal.patch
similarity index 100%
rename from package/multimedia/libmad/libmad-0.15.1b-mips-h-constraint-removal.patch
rename to package/libmad/libmad-0.15.1b-mips-h-constraint-removal.patch
diff --git a/package/multimedia/libmad/libmad-0.15.1b-optimization.patch.avr32 b/package/libmad/libmad-0.15.1b-optimization.patch.avr32
similarity index 100%
rename from package/multimedia/libmad/libmad-0.15.1b-optimization.patch.avr32
rename to package/libmad/libmad-0.15.1b-optimization.patch.avr32
diff --git a/package/multimedia/libmad/libmad-0.15.1b-remove-deprecated-cflags.patch b/package/libmad/libmad-0.15.1b-remove-deprecated-cflags.patch
similarity index 100%
rename from package/multimedia/libmad/libmad-0.15.1b-remove-deprecated-cflags.patch
rename to package/libmad/libmad-0.15.1b-remove-deprecated-cflags.patch
diff --git a/package/multimedia/libmad/libmad.mk b/package/libmad/libmad.mk
similarity index 100%
rename from package/multimedia/libmad/libmad.mk
rename to package/libmad/libmad.mk
diff --git a/package/multimedia/libmad/mad.pc b/package/libmad/mad.pc
similarity index 100%
rename from package/multimedia/libmad/mad.pc
rename to package/libmad/mad.pc
diff --git a/package/multimedia/libmpd/Config.in b/package/libmpd/Config.in
similarity index 100%
rename from package/multimedia/libmpd/Config.in
rename to package/libmpd/Config.in
diff --git a/package/multimedia/libmpd/libmpd.mk b/package/libmpd/libmpd.mk
similarity index 100%
rename from package/multimedia/libmpd/libmpd.mk
rename to package/libmpd/libmpd.mk
diff --git a/package/multimedia/libreplaygain/Config.in b/package/libreplaygain/Config.in
similarity index 100%
rename from package/multimedia/libreplaygain/Config.in
rename to package/libreplaygain/Config.in
diff --git a/package/multimedia/libreplaygain/libreplaygain.mk b/package/libreplaygain/libreplaygain.mk
similarity index 100%
rename from package/multimedia/libreplaygain/libreplaygain.mk
rename to package/libreplaygain/libreplaygain.mk
diff --git a/package/multimedia/libsamplerate/Config.in b/package/libsamplerate/Config.in
similarity index 100%
rename from package/multimedia/libsamplerate/Config.in
rename to package/libsamplerate/Config.in
diff --git a/package/multimedia/libsamplerate/libsamplerate.mk b/package/libsamplerate/libsamplerate.mk
similarity index 100%
rename from package/multimedia/libsamplerate/libsamplerate.mk
rename to package/libsamplerate/libsamplerate.mk
diff --git a/package/multimedia/libsndfile/Config.in b/package/libsndfile/Config.in
similarity index 100%
rename from package/multimedia/libsndfile/Config.in
rename to package/libsndfile/Config.in
diff --git a/package/multimedia/libsndfile/libsndfile-srconly.patch b/package/libsndfile/libsndfile-srconly.patch
similarity index 100%
rename from package/multimedia/libsndfile/libsndfile-srconly.patch
rename to package/libsndfile/libsndfile-srconly.patch
diff --git a/package/multimedia/libsndfile/libsndfile.mk b/package/libsndfile/libsndfile.mk
similarity index 100%
rename from package/multimedia/libsndfile/libsndfile.mk
rename to package/libsndfile/libsndfile.mk
diff --git a/package/multimedia/libvorbis/Config.in b/package/libvorbis/Config.in
similarity index 100%
rename from package/multimedia/libvorbis/Config.in
rename to package/libvorbis/Config.in
diff --git a/package/multimedia/libvorbis/libvorbis.mk b/package/libvorbis/libvorbis.mk
similarity index 100%
rename from package/multimedia/libvorbis/libvorbis.mk
rename to package/libvorbis/libvorbis.mk
diff --git a/package/multimedia/Config.in b/package/multimedia/Config.in
index 89c5041..895dde6 100644
--- a/package/multimedia/Config.in
+++ b/package/multimedia/Config.in
@@ -1,7 +1,5 @@
 menu "Audio and video libraries and applications"
-source "package/multimedia/alsa-lib/Config.in"
 source "package/multimedia/alsa-utils/Config.in"
-source "package/multimedia/audiofile/Config.in"
 source "package/multimedia/aumix/Config.in"
 source "package/multimedia/bellagio/Config.in"
 source "package/multimedia/faad2/Config.in"
@@ -16,28 +14,13 @@ source "package/multimedia/gst-plugins-good/Config.in"
 source "package/multimedia/gst-plugins-bad/Config.in"
 source "package/multimedia/gst-plugins-ugly/Config.in"
 source "package/multimedia/lame/Config.in"
-source "package/multimedia/libao/Config.in"
-source "package/multimedia/libcdaudio/Config.in"
-source "package/multimedia/libcue/Config.in"
-source "package/multimedia/libcuefile/Config.in"
-source "package/multimedia/libid3tag/Config.in"
-source "package/multimedia/libmad/Config.in"
-source "package/multimedia/libmpd/Config.in"
-source "package/multimedia/libreplaygain/Config.in"
-source "package/multimedia/libsamplerate/Config.in"
-source "package/multimedia/libsndfile/Config.in"
-source "package/multimedia/libvorbis/Config.in"
 source "package/multimedia/madplay/Config.in"
 source "package/multimedia/mpd/Config.in"
 source "package/multimedia/mpg123/Config.in"
 source "package/multimedia/mplayer/Config.in"
 source "package/multimedia/musepack/Config.in"
-source "package/multimedia/portaudio/Config.in"
 source "package/multimedia/pulseaudio/Config.in"
-source "package/multimedia/speex/Config.in"
 source "package/multimedia/tidsp-binaries/Config.in"
-source "package/multimedia/taglib/Config.in"
-source "package/multimedia/tremor/Config.in"
 source "package/multimedia/vorbis-tools/Config.in"
 source "package/multimedia/wavpack/Config.in"
 endmenu